corda / net.corda.contracts.asset / Obligation / generateSetLifecycle

# generateSetLifecycle

`fun generateSetLifecycle(tx: TransactionBuilder, statesAndRefs: List<StateAndRef<State<P>>>, lifecycle: Lifecycle, notary: Party): Unit`

Generate a transaction changing the lifecycle of one or more state objects.

### Parameters

`statesAndRefs` - a list of state objects, which MUST all have the same issuance definition. This avoids potential complications arising from different deadlines applying to different states.